﻿.nowrapcontent {
    /*white-space: nowrap;
  width: 195px;
  overflow: hidden;
  text-overflow: ellipsis;*/
    display: -webkit-box;
    overflow: hidden;
    -webkit-line-clamp: 1;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    word-break: break-all;
    white-space: initial;
}

.cscroll::-webkit-scrollbar {
    width: 0 !important
}

.scrollbar {
    width: 100%;
    max-height: 150px;
    overflow: auto;
}

/* scrollbar */
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.3);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}

    ::-webkit-scrollbar-thumb:window-inactive {
        background: rgba(255, 255, 255, 0.3);
    }


.OverflowFixedHeight {
    overflow: scroll;
    overflow-x: hidden;
    height: calc(var(--vh, 1vh)*100 - 345px);
}


/*booking profileactivity*/
@media only screen and (min-width: 1200px) and (max-width: 1600px) {
    .OverflowFixedHeight {
        overflow: scroll;
        overflow-x: hidden;
        height: calc(var(--vh, 1vh)*100 - 86px);
    }
}


.cscrollHoriZontally::-webkit-scrollbar {
    height: 0 !important
}

/*For Toaster Only---Start*/
.alert-danger {
    background: #BD362F !important;
}

.alert-warning {
    background: #fff3cd !important;
}

    .alert-warning .message {
        color: black;
    }

.alert-success {
    background: #40C057 !important;
}
/*For Toaster Only---End*/

/*For Cms Labels Only Word Wrap Words---Start*/
.CmsLblCustomCss {
    text-overflow: ellipsis;
   /* overflow: hidden;*/
    white-space: nowrap;
}
/*For Cms Labels Only Word Wrap Words---End*/

div[data-insid].active .card {
    border-width: 3px !important;
}

.notify-badge {
    bottom: 14px;
    font-size: 18px;
}

.promaster-total {
    font-size: 19px;
    font-weight: bold;
}

.promaster-month {
    font-size: 14px;
    font-weight: 600;
}

.promaster-day {
    font-size: 14px;
    font-weight: 600;
}

.ram-promaster-city-title {
    /*font-size: 20px !important;*/
}

@media only screen and (min-width: 1200px) {
    .ram-promaster-city {
        font-size: 12px !important;
    }
}

.ram-promaster-city {
    line-height: 16px;
}

.ram-promaster-city-btn {
    font-size: 12px;
    background: #111111;
    color: #fff;
    height: auto;
}

.promaster-total-content {
    margin-left: 0px;
    padding: 0px 10px;
}
/*Start Summary Style*/
.accordion .accordion-item .accordion-button:after, .accordion .accordion-item .accordion-button.collapsed:after {
    content: '';
}

.accordion-item, .accordion-button:not(.collapsed), .accordion .accordion-item .accordion-button.collapsed {
    background-color: transparent;
}

.accordion-list-item {
    height: auto;
    overflow-y: scroll;
    overflow-x: hidden;
}

.accordion-item:nth-child(odd) .smrhdval, .accordion-item:nth-child(odd) ul li::before {
    color: #40C057 !important;
}

.accordion-item:nth-child(even) .smrhdval, .accordion-item:nth-child(even) ul li::before {
    color: #2F8BE6 !important;
}

.accordion-item:nth-child(3n+0) .smrhdval, .accordion-item:nth-child(3n+0) ul li::before {
    color: #F77E17 !important;
}

.accordion-item:nth-child(4n+0) .smrhdval, .accordion-item:nth-child(4n+0) ul li::before {
    color: #975AFF !important;
}

.accordion-item:nth-child(5n+0) .smrhdval, .accordion-item:nth-child(5n+0) ul li::before {
    color: #F55252 !important;
}

/*End Summary Style*/

.cscroll::-webkit-scrollbar {
    /* width: 1em;*/
    width: 0px;
    height: 5px;
}

.cscroll::-webkit-scrollbar-track {
    /*box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);*/
}

.cscroll::-webkit-scrollbar-thumb {
    /* background-color: darkgrey;
  outline: 1px solid slategrey;*/
    background-color: #0000006b;
    border-radius: 6px;
}

.item-detail {
    min-height: 10px;
}

.search-btn {
    font-size: 15px !important;
    padding: 6px !important;
}

@media only screen and (min-width: 1200px) {
    .ram-promaster-seats li {
        font-size: 12px !important;
    }
}

/*Loader Css Start*/
#loader {
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(255,255,255,0.9);
    z-index: 9999;
    display: none;
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#loader::after {
    content: '';
    display: block;
    position: absolute;
    left: 48%;
    top: 40%;
    width: 60px;
    height: 60px;
    border-style: solid;
    border-color: grey;
    border-top-color: transparent;
    border-width: 4px;
    border-radius: 50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}
/*Loader Css End*/



.form-floating > .form-select {
    padding-bottom: -1px !important;
}



/*Model Popup Start*/
.close {
    float: right;
    font-size: 2.40625rem;
    font-weight: 700;
    line-height: 1;
    /*color: #a0afc7;*/
    text-shadow: 0 1px 0 #fff;
    opacity: .7;
}

    .close:not(:disabled):not(.disabled) {
        cursor: pointer;
    }

button.close {
    padding: 0;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
}

.modal {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    display: none;
    overflow: hidden;
    outline: 0;
    padding: 0 !important;
    margin: 0 !important;
    text-align: center;
    background: rgba(0, 0, 0, 0.7);
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: .5rem;
    pointer-events: none;
}

.modal {
    text-align: center;
    padding: 0 !important;
}

    .modal:before {
        content: '';
        display: inline-block;
        height: 100%;
        vertical-align: middle;
        margin-right: -4px;
    }

.modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

@media screen and (prefers-reduced-motion:reduce) {
    .modal.fade .modal-dialog {
        transition: none;
    }
}

.modal.show .modal-dialog {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.modal-dialog-centered {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    min-height: calc(100% - (.5rem * 2));
}

.modal-content {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #d8dde6;
    border-radius: 3px;
    outline: 0;
}

.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000;
}

    .modal-backdrop.fade {
        opacity: 0;
    }

    .modal-backdrop.show {
        opacity: .5;
    }

.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid #d8dde6;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

    .modal-header .close {
        padding: 1rem;
        margin: -1rem -1rem -1rem auto;
        left: 50px;
        top:-10px;
        position: absolute;
    }

        .modal-header .close.btn {
            padding: .5rem 1rem;
            margin: 0;
            font-size: 12px;
            color: #fff;
            text-shadow: none;
            float: right;
            display: block;
            right: 15px;
            position: absolute;
            background-color: #162946;
            border-color: #162946;
            opacity: 7;
        }

            .modal-header .close.btn:hover {
                color: #fff;
                opacity: 7;
                background-color: #15253e;
            }

.modal-title {
    margin-bottom: 0;
    line-height: 1.5;
}

.modal-body {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-footer {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 1rem;
    border-top: 1px solid #d8dde6;
}

.CustomCss {
    padding: 0.375rem 0.75rem;
   /* font-size: .9375rem;*/
    border-radius: 3px;
}

.modal-footer > :not(:first-child) {
    margin-left: .25rem;
}

.modal-footer > :not(:last-child) {
    margin-right: .25rem;
}

@media (min-width:576px) {
    .modal-dialog {
        width: 500px;
        margin: 1.75rem auto;
    }
}

@media (max-width:568px) {
    .modal-dialog {
        margin: 0 auto;
        width: 90%;
        margin-top: 10px;
    }

    .modal {
        padding: 0 !important;
    }
    .modal-header .close {
        padding: 1rem;
        margin: -1rem -1rem -1rem auto;
        left: 0px;
        position: absolute;
    }
}

@media (min-width:992px) {
    .modal-lg {
        max-width: 800px;
        width: 800px;
    }
}

}

.bottom-corner::before {
    background-color: transparent !important;
}

#topnav .navigation-menu > li > a {
    font-size: 17px;
}

/*#topnav .navigation-menu > li.mt-5 > a {
    padding-top: 10px;
}

#topnav .navigation-menu > li.bg-btn-white {
    padding-bottom: 5px;
}*/


@media only screen and (min-width: 1400px) {
    .textera-2-height {
        height: 321px !important;
    }
}

.logo {
    margin-right: 10px;
}

/*.book-my-van .table-spacing {
    width: 200px;
}*/

.search-td .form-floating > .form-control {
    padding-top: 6px !important;
}

.van-form {
    width: 90%;
    margin-left: 0px;
}

.our-service-section p {
    font-size: 12px;
}

.jsBorderValiation {
    border: 1px solid red !important;
}
.Optionalinputfield {
    border: 1px solid green !important;
}

#togglePassword {
    float: right;
    top: -33px;
    right: 10px;
    position: relative;
    cursor: pointer;
}

.ProfileStepsCustom {
    background-color: #c9c9c9;
}

.ProfileBkngRowCustom {
    background-color: #c9c9c9;
}

.CustomRsvaccordion {
    font-size: 9px !important;
}

.RAVhlInfo {
    font-size: 8px !important;
}

.ram-promaster-city-section .col-2 {
    padding: 10px 0px;
    font-size: 12px;
}

@media only screen and (max-width: 768px) {
    .promaster-total-content br {
        display: none;
    }
}


@media only screen and (max-width: 575px) {
    .width-for-991-border .bg-red {
        display: block;
    }
}

/*@media (max-width: 375px) {
    #foo {
        width: 307px !important;
    }

    #topnav #navigation .bg-btn-white.mypofile {
        width: 67%;
    }
}

@media (max-width: 490px) {
    #foo {
        width: 307px !important;
    }

    #topnav #navigation .bg-btn-white.mypofile {
        width: 67%;
    }
}*/

.CustomCssFtrlbl {
    font-weight: 800 !important;
}


.how-it-works-gray .content .title2, .how-it-works-gray .content p {
    padding-left: 0px;
}


/*Curve*/
/*@media (min-width: 1740px) .box-custom-2-bg {
    left: -4%;
    transform: rotate(-18.5deg);
}

@media (min-width: 1200px) .box-custom-2-bg {
    top: -48%;
    right: -52%;
    bottom: -40%;
    margin-right: 0;
    transform: rotate(-12deg);
    border-radius: 8%;
    border: 1px solid transparent;
}

.box-custom-2-bg {
    border-radius: 0 0 22px 22px;
    overflow: hidden;
}

    .box-custom-2-bg, .box-custom-2-bg::after, .box-custom-2-bg-image {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        pointer-events: none;
    }
[class*='bg-'] {
    background-size: cover;
    background-position: center center;
}
@media (min-width: 1740px) .box-custom-2-bg-inner {
    transform: rotate(18.5deg);
}
@media (min-width: 1200px) .box-custom-2-bg-inner {
    top: -10%;
    right: -5%;
    bottom: -5%;
    left: -12%;
    transform: rotate(12deg);
    border: 1px solid transparent;
}
.box-custom-2-bg-inner {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}
@media (min-width: 1200px) .box-custom-2-bg::after {
    top: -9%;
    right: -10%;
    bottom: -10%;
    left: -10%;
}
.box-custom-2-bg::after {
    content: '';
    opacity: .68;
    border-radius: inherit;
    background: linear-gradient(227deg, #0a81cc 0%, #00b8d9 100%);
}*/

#dropdownMenuButton:hover {
    background:white !important
}
